Gecode::Search::NoTraceRecorder::ID Class Reference

Class for storing node identifiers. More...

`#include <trace-recorder.hpp>`

## Public Member Functions

| ID (void)
| Do not initialize.
| ID (unsigned int id)
| Initialize.
| operator unsigned int (void) const
| Access.

## Detailed Description

Class for storing node identifiers.

Definition at line 110 of file trace-recorder.hpp.

## Constructor & Destructor Documentation

## ID() [1/2]

Gecode::Search::NoTraceRecorder::ID::ID | ( | void |  | ) |

inline

Do not initialize.

Definition at line 248 of file trace-recorder.hpp.

## ID() [2/2]

Gecode::Search::NoTraceRecorder::ID::ID | ( | unsigned int | id | ) |

inline

Initialize.

Definition at line 251 of file trace-recorder.hpp.

## Member Function Documentation

## operator unsigned int()

Gecode::Search::NoTraceRecorder::ID::operator unsigned int | ( | void |  | ) | const

inline

Access.

Definition at line 254 of file trace-recorder.hpp.

The documentation for this class was generated from the following file:

- gecode/search/trace-recorder.hpp